Package org.jfree.report.expressions.formula.sys

# Class AttrFunction

java.lang.Object
org.jfree.report.expressions.formula.sys.AttrFunction

All Implemented Interfaces:
  `Serializable`, `org.pentaho.reporting.libraries.formula.function.Function`

public class AttrFunction extends Object implements org.pentaho.reporting.libraries.formula.function.Function
Creation-Date: 24.11.2006, 13:02:41

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AttrFunction()`

## Method Summary

Modifier and Type
Method
Description
`org.pentaho.reporting.libraries.formula.lvalues.TypeValuePair`
`evaluate(org.pentaho.reporting.libraries.formula.FormulaContext context, org.pentaho.reporting.libraries.formula.function.ParameterCallback parameters)`
`String`
`getCanonicalName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttrFunction

public AttrFunction()

## Method Details

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `org.pentaho.reporting.libraries.formula.function.Function`

### evaluate

public org.pentaho.reporting.libraries.formula.lvalues.TypeValuePair evaluate(org.pentaho.reporting.libraries.formula.FormulaContext context, org.pentaho.reporting.libraries.formula.function.ParameterCallback parameters) throws org.pentaho.reporting.libraries.formula.EvaluationException

Specified by:
  `evaluate` in interface `org.pentaho.reporting.libraries.formula.function.Function`
Throws:
  `org.pentaho.reporting.libraries.formula.EvaluationException`